Bug 129452 - GTK 1.x doesn't render TTF properly
GTK 1.x doesn't render TTF properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 08:15 EDT by Andre Costa
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 02:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Costa 2004-08-09 08:15:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 7.54  [en]

Description of problem:
Configuring TTF suppport for GTK 1.x apps following these instructions [http://www.
rockhopper.dk/linux/software/fonts-in-x.html] doesn't result in proper font rendering (as 
it does on FC1). Fonts do appear on font lists, but results are not adequate. More 
details (with links to screenshots) can be obtained from this post to the Fedora ML: 
http://www.redhat.com/archives/fedora-list/2004-July/msg02895.html.

GTK2 has no problem listing or using the same TTF.

Version-Release number of selected component (if applicable):
gtk+-1.2.10-29

How reproducible:
Always

Steps to Reproduce:
1. follow instructions here [http://www.rockhopper.dk/linux/software/fonts-in-x.html] to 
configure font support
2. configure any GTK 1.x app (eg. sylpheed mail client) to use TTF 
3.
    

Actual Results:  TTF are not rendered properly

Expected Results:  TTF should appear the same they do on MS Windows (eg. Verdana) 
or GTK2 apps

Additional info:
Comment 1 Matthias Clasen 2004-09-22 02:10:13 EDT
I don't think I will have the time to work on improving font rendering
in gtk+ 1.x.

Note You need to log in before you can comment on or make changes to this bug.